PLplot: plpage.c File Reference

PLplot 5.10.0

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Functions
plpage.c File Reference
`#include "plplotP.h"`

Go to the source code of this file.

## Functions
void | c_pladv (PLINT page)
void | c_plclear (void)
void | c_pleop (void)
void | c_plbop (void)
void | plP_subpInit (void)
void | plP_setsub (void)
void | c_plgspa (PLFLT *xmin, PLFLT *xmax, PLFLT *ymin, PLFLT *ymax)
int | plGetCursor (PLGraphicsIn *plg)
int | plTranslateCursor (PLGraphicsIn *plg)
void | c_plcalc_world (PLFLT rx, PLFLT ry, PLFLT *wx, PLFLT *wy, PLINT *window)

## Detailed Description

Page/subpage handling routines.

Definition in file plpage.c.

## Function Documentation

void c_pladv | ( | PLINT | page | ) |

Advance to subpage "page" or to the next page if "page" = 0.

Parameters

  page | Subpage identifier or 0

Definition at line 35 of file plpage.c.

void c_plbop | ( | void |  | ) |

Start new page. Should only be used with pleop().

Definition at line 117 of file plpage.c.

void c_plcalc_world | ( | PLFLT | rx,
|  | PLFLT | ry,
|  | PLFLT * | wx,
|  | PLFLT * | wy,
|  | PLINT * | window
| ) |  |

Calculate world coordinates wx, and wy from relative device coordinates, rx and ry. Also, return the window index for which the world coordinates are valid. window is set to -1 and wx and wy to 0. if rx and ry do not correspond to valid world coordinates for any currently existing window.

Author
  Paul Casteels, modified by Alan W. Irwin.

Parameters

  rx | Relative x device coordinates
  ry | Relative y device coordinates
  wx | Pointer to x world coordinate (after call)
  wy | Pointer to y world coordinate (after call)
  window | Pointer index of window for which the world coordinates are valid

Definition at line 285 of file plpage.c.

void c_plclear | ( | void |  | ) |

Clear current subpage. Subpages can be set with pladv before calling plclear. Not all drivers support this.

Definition at line 71 of file plpage.c.

void c_pleop | ( | void |  | ) |

End current page.

Definition at line 101 of file plpage.c.

void c_plgspa | ( | PLFLT * | xmin,
|  | PLFLT * | xmax,
|  | PLFLT * | ymin,
|  | PLFLT * | ymax
| ) |  |

Get subpage boundaries in absolute coordinates (mm from bottom left-hand corner of page).

Parameters

  xmin | Pointer to PLFLT containing minimum x boundary after call
  xmax | Pointer to PLFLT containing maximum x boundary after call
  ymin | Pointer to PLFLT containing minimum y boundary after call
  ymax | Pointer to PLFLT containing maximum y boundary after call

Definition at line 218 of file plpage.c.

int plGetCursor | ( | PLGraphicsIn * | plg | ) |

Wait for graphics input event and translate to world coordinates.

Author
  Paul Casteels.

Parameters

  plg | Pointer to PLGraphicsIn

Returns
  0 if no translation to world coordinates is possible.

See Also
  PLGraphicsIn

Definition at line 240 of file plpage.c.

void plP_setsub | ( | void |  | ) |

Set up the subpage boundaries according to the current subpage selected.

Definition at line 188 of file plpage.c.

void plP_subpInit | ( | void |  | ) |

Set up plot parameters according to the number of subpages.

Definition at line 133 of file plpage.c.

int plTranslateCursor | ( | PLGraphicsIn * | plg | ) |

Translates cursor position from relative device coordinates to world coordinates.

Author
  Paul Casteels, modified by Alan W. Irwin

Parameters

  plg | Pointer to PLGraphicsIn

Returns
  0 if no translation to world coordinates is possible.

Definition at line 255 of file plpage.c.